# Define the system of units to use internally. 
InternalUnitSystem:
  UnitMass_in_cgs:     1.98841e33       # M_sun in grams
  UnitLength_in_cgs:   3.08567758149e18 # parsec in centimeters
  UnitVelocity_in_cgs: 1e5              # km/s in cm/s
  UnitCurrent_in_cgs:  1   # Amperes
  UnitTemp_in_cgs:     1   # Kelvin

# Parameters governing the time integration
TimeIntegration:
  time_begin: 0.    # The starting time of the simulation (in internal units).
  time_end:   480.  # The end time of the simulation (in internal units).
  dt_min:     1e-3  # The minimal time-step size of the simulation (in internal units).
  dt_max:     1     # The maximal time-step size of the simulation (in internal units).

# Parameters governing the conserved quantities statistics
Statistics:
  delta_time:          1.0 # Time between statistics output
  
# Parameters governing the snapshots
Snapshots:
  basename:            Disc-Patch # Common part of the name of output files
  time_first:          0.         # Time of the first output (in internal units)
  delta_time:          8.         # Time difference between consecutive outputs (in internal units)

# Parameters related to the initial conditions
InitialConditions:
  file_name:  Disc-Patch.hdf5       # The file to read
  periodic:   1
  
# External potential parameters
DiscPatchPotential:
  surface_density: 10.
  scale_height:    100.
  x_disc:          300.
  timestep_mult:   0.01

Scheduler:
  max_top_level_cells:  8
  tasks_per_cell:       5
